package com.libreecm.commonAPI.model.enums;
/**
 * Capability Enum: Rendition.
 */
public enum CapabilityRenditions {

    NONE("none"), READ("read");
    private final String value;

    CapabilityRenditions(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static CapabilityRenditions fromValue(String v) {
        for (CapabilityRenditions c : CapabilityRenditions.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}